Bug 211765 - Network does not come up on first resume from hibernate
Network does not come up on first resume from hibernate
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-22 06:38 EDT by Paul Dickson
Modified: 2008-05-06 20:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:57:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg contents (28.99 KB, text/plain)
2006-10-22 06:44 EDT, Paul Dickson
no flags Details
Output from lsmod (3.08 KB, text/plain)
2007-05-25 09:47 EDT, Paul Dickson
no flags Details

  None (edit)
Description Paul Dickson 2006-10-22 06:38:25 EDT
Description of problem:
Hibernate and Resume work, but upon resume, there is no eth0 nor eth1 when I do
an ifconfig.  The pm-hibernate command-line command does not finish either.  I
have to Ctrl-C.

Addition running of pm-hibernate resumes normally and eth0 is up, and eth1 is
listed.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6
kernel-2.6.18-1.2747.fc6

How reproducible:
Always on first resume

Steps to Reproduce:
1. At gnome-terminal, run pm-hibernate
2. Resume machine
3. From another gnome-terminal, this one logged in as root: ifconfig
4. Enter "ifup eth0" to get eth0 up.

Actual results:
First "ifconfig":
[dickson@white 17:36:24 ~]$ su -
Password: 
[root@white 03:17:58 ~]# ifconfig
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1479 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1479 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2963676 (2.8 MiB)  TX bytes:2963676 (2.8 MiB)

[root@white 03:18:02 ~]# ifup eth0

Determining IP information for eth0... done.
[root@white 03:18:19 ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:11:43:76:E0:2C  
          inet addr:192.168.1.9  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::211:43ff:fe76:e02c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:18679 errors:0 dropped:0 overruns:0 frame:0
          TX packets:16058 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:14370214 (13.7 MiB)  TX bytes:1849071 (1.7 MiB)
          Interrupt:193 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1479 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1479 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2963676 (2.8 MiB)  TX bytes:2963676 (2.8 MiB)

[root@white 03:18:22 ~]#

<<<Hibernate and Resume a second time>>>
[root@white 03:18:22 ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:11:43:76:E0:2C  
          inet addr:192.168.1.9  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::211:43ff:fe76:e02c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:18708 errors:0 dropped:0 overruns:0 frame:0
          TX packets:16123 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:14380312 (13.7 MiB)  TX bytes:1862621 (1.7 MiB)
          Interrupt:193 

eth1      Link encap:Ethernet  HWaddr 00:12:F0:2A:73:AE  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:185 Base address:0xc000 Memory:dfdfd000-dfdfdfff 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1479 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1479 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2963676 (2.8 MiB)  TX bytes:2963676 (2.8 MiB)

[root@white 03:20:19 ~]#

Expected results:
The results from the second resume should have happened on the first.

Additional info:
This is a Dell Inspiron 6000.

# lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML
Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express
Graphics Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:01.2 Class 0805: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 17)
03:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network
Connection (rev 05)
Comment 1 Paul Dickson 2006-10-22 06:44:17 EDT
Created attachment 139075 [details]
dmesg contents
Comment 2 Richard Hughes 2007-05-24 07:50:08 EDT
Does this still happen with F7T4? Thanks.
Comment 3 Paul Dickson 2007-05-24 22:59:05 EDT
Yes it still happens.  In fact, pm-hibernate won't complete until i do a "ifup
eth0".  I have to do a Ctl-Atl-F7 to get to my xterm sessions.  But once I bring
up the network, it then switches to the xsessions again.

Currently running latest rawhide. Rebooted 3 days ago, running
kernel-2.6.21-1.3163.fc7.
Comment 4 Richard Hughes 2007-05-25 04:42:35 EDT
I've heard of other people with problems with Broadcom BCM4401 - but according
to your dmesg it should be working. Do you know which kernel module you use for
the 4401? Thanks.
Comment 5 Paul Dickson 2007-05-25 09:47:55 EDT
Created attachment 155452 [details]
Output from lsmod

If there is another way to show what modules are being used than lsmod, please
let me know.

FYI - After I bring up eth0, another interface is added.  It's first in this
list of three:

__tmp364166381 Link encap:Ethernet  HWaddr 00:12:F0:2A:73:AE  
	  UP BROADCAST MULTICAST  MTU:1500  Metric:1
	  RX packets:0 errors:0 dropped:0 overruns:0 frame:0
	  TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
	  collisions:0 txqueuelen:1000 
	  RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
	  Interrupt:18 Base address:0xe000 Memory:dfdfd000-dfdfdfff 

eth0	  Link encap:Ethernet  HWaddr 00:11:43:76:E0:2C  
	  inet addr:192.168.1.9  Bcast:192.168.1.255  Mask:255.255.255.0
	  inet6 addr: fe80::211:43ff:fe76:e02c/64 Scope:Link
	  UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
	  RX packets:1618676 errors:0 dropped:0 overruns:0 frame:0
	  TX packets:1196588 errors:0 dropped:0 overruns:0 carrier:0
	  collisions:0 txqueuelen:1000 
	  RX bytes:2077814551 (1.9 GiB)  TX bytes:391041856 (372.9 MiB)
	  Interrupt:19 

lo	  Link encap:Local Loopback  
	  inet addr:127.0.0.1  Mask:255.0.0.0
	  inet6 addr: ::1/128 Scope:Host
	  UP LOOPBACK RUNNING  MTU:16436  Metric:1
	  RX packets:3860 errors:0 dropped:0 overruns:0 frame:0
	  TX packets:3860 errors:0 dropped:0 overruns:0 carrier:0
	  collisions:0 txqueuelen:0 
	  RX bytes:17766718 (16.9 MiB)	TX bytes:17766718 (16.9 MiB)
Comment 6 Richard Hughes 2007-05-25 10:05:22 EDT
Yes, the b44 driver is likely broken:
http://osdir.com/ml/network.general/2004-08/msg00208.html

If you rmmod the b44 driver, then suspend, then resume, then modprobe it, does
the networking work?
Comment 7 Paul Dickson 2007-05-25 10:50:42 EDT
Can't suspend (hibernate) after the rmmod.  Directory the bash command
"pm-hibernate" is being invoked is on a NFS volume.  Needed to modprobe, then
ifdown and ifup to get the hibernate to start.  So it's probably pretty safe to
say I'm using b44. :-)

I get a slightly different problem if I place all the terminal windows in a
local directory.  The pm-hibernate command completes without delay, but it
doesn't set up eth0 with an IP address (I have to ifdown and ifup to get
networking running):

### pm-hibernate has just completed:
 [root@white 07:33:59 ~]# ifconfig
__tmp364166381 Link encap:Ethernet  HWaddr 00:12:F0:2A:73:AE  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:18 Base address:0xe000 Memory:dfdfd000-dfdfdfff 

eth0      Link encap:Ethernet  HWaddr 00:11:43:76:E0:2C  
          inet6 addr: fe80::211:43ff:fe76:e02c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:591 errors:0 dropped:0 overruns:0 frame:0
          TX packets:915 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:328387 (320.6 KiB)  TX bytes:166967 (163.0 KiB)
          Interrupt:19 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:3860 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3860 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:17766718 (16.9 MiB)  TX bytes:17766718 (16.9 MiB)

[root@white 07:43:09 ~]# ifup eth0

Determining IP information for eth0...dhclient(14144) is already running - exiting. 
This version of ISC DHCP is based on the release available
on ftp.isc.org.  Features have been added and other changes
have been made to the base software release in order to make
it work better with this distribution.
Please report for this software via the Red Hat Bugzilla site:
    http://bugzilla.redhat.com
exiting.
 failed.
[root@white 07:43:35 ~]# ifdown eth0
[root@white 07:43:42 ~]# ifup eth0

Determining IP information for eth0... done.
[root@white 07:43:52 ~]# ifconfig
__tmp364166381 Link encap:Ethernet  HWaddr 00:12:F0:2A:73:AE  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:18 Base address:0xe000 Memory:dfdfd000-dfdfdfff 

eth0      Link encap:Ethernet  HWaddr 00:11:43:76:E0:2C  
          inet addr:192.168.1.9  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::211:43ff:fe76:e02c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:592 errors:0 dropped:0 overruns:0 frame:0
          TX packets:941 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:328733 (321.0 KiB)  TX bytes:175696 (171.5 KiB)
          Interrupt:19 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:3860 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3860 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:17766718 (16.9 MiB)  TX bytes:17766718 (16.9 MiB)

[root@white 07:43:54 ~]# 

Comment 8 Paul Dickson 2007-05-25 14:36:35 EDT
BTW - I get the same output from ifconfig for eth0 if my DHCP server is down for
a while (I've upgrading the HDs on that server).  
Comment 9 Richard Hughes 2007-05-25 18:08:54 EDT
>Directory the bash command "pm-hibernate" is being invoked is on a NFS volume

You're hibernating a laptop connected to nfs /usr/share?
Comment 10 Paul Dickson 2007-05-25 21:42:13 EDT
No.  Just the current working directory is on NFS volume.
Comment 11 Richard Hughes 2007-05-28 12:44:10 EDT
If you disconnect all nfs shares and then hibernate, does the system come back up?
Comment 12 Paul Dickson 2007-05-28 22:48:44 EDT
The system has always come up.  But if I unmount the NFS shares, the network
still doesn't restart.

eth0      Link encap:Ethernet  HWaddr 00:11:43:76:E0:2C  
          inet6 addr: fe80::211:43ff:fe76:e02c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2694165 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1747319 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:3767366293 (3.5 GiB)  TX bytes:333488040 (318.0 MiB)
          Interrupt:19 

The above is missing the inet line,
Comment 13 Nigel Cunningham 2007-06-12 01:57:09 EDT
Paul, can you use bash -x or such like to trace where the pm-hibernate script is
hanging?  That could be helpful information.
Comment 14 Paul Dickson 2007-06-27 19:51:06 EDT
pm-hibernate is not a script

The last two times I used pm-hibernate (with the command run from a non-NFS
mounted volume) the system restored with the network running.  But if I run
pm-hibernate from a directory on a NFS mounted volume I have to run 'ifup eth0'
to allow pm-hibernate to finish, which removed:
  inet addr:192.168.1.9  Bcast:192.168.1.255  Mask:255.255.255.0
from the ifconfig for eth0.  I then had to ifdown and then ifup to get back to
normal.

[dickson@white 22:44:35 red]$ bash -x pm-hibernate 
/usr/bin/pm-hibernate: /usr/bin/pm-hibernate: cannot execute binary file
[dickson@white 22:44:43 red]$ bash -x
  [...stuff removed...]
[dickson@white 22:45:05 red]$ 
++ echo -ne '\033]0;dickson@white:~/red'
[dickson@white 22:45:07 red]$ pm-hibernate 
+ pm-hibernate
++ echo -ne '\033]0;dickson@white:~/red'
[dickson@white 16:33:52 red]$

I'm running rawhide, pretty much up-to-date (sans a couple of days of updates).
Comment 15 Bug Zapper 2008-04-03 14:31:20 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 16 Bug Zapper 2008-05-06 20:57:40 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.